
Figure - Bug #118503
【IOVDEV-32511】【内部】【VC1】【0072】【台架】【EE环境】【副屏】副屏严重卡顿王者荣耀白屏，打
开应用响应延迟太高，打开设置-黑屏-除下拉通知手势外其余手势无响应
2023-06-03 18:52 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 20%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.C104

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-03 13:23

【开机次数】：第234次

【前提条件】：

1.副屏上电

2.下载并安装王者荣耀

3.游戏模式开关开启

3.登录企业微信、飞书、QQ、微信

【问题操作步骤】：

1.打开设置后收起到后台-确保下次热启动设置

2.冷启动王者荣耀-返回桌面再打开（重复）

3.返回HOME页切换设置-返回HOME页切换王者荣耀-再返回HOME页切换设置

2.下拉控制中心-点击录制快捷开关开始录制

【实际结果】：副屏明显卡顿，王者荣耀白屏，应用无响应，设置黑屏无响应，设置中使用手势无响应

【期望结果】：正常启动游戏，正常打开设置，设备运行流畅不卡顿

【备注】：发生时间段在13:21-13:26

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/VCiqs7Es36U%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/3KOW8WqHFWM%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

Subtasks:

Bug # 118563: 解决王者荣耀和OTA进程的Selinux问题 New

Related issues:

Related to Figure - Bug # 118599: IOVDEV-33049【内部】【VC1】【0... CLOSED 2023-06-07

History

#1 - 2023-06-03 18:53 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118503
#2 - 2023-06-05 11:32 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

■ 我的分析

①问题发生时，系统内存很低，已经触发lowmemorykiller

logcat/000245_persist_04505_230603_132102.log:93:06-03 13:21:03.519   520   520 I lowmemorykiller: Kill 'com.qualcomm.qti.qms.service.trustzoneaccess' (4920), uid

10056, oom_score_adj 965 to free 44800kB rss, 39424kb swap

logcat/000245_persist_04505_230603_132102.log:208:06-03 13:21:04.563   520   520 I lowmemorykiller: Kill 'com.android.webview:webview_service' (6475), uid 10067,

oom_score_adj 960 to free 80356kB rss, 0kb swap

logcat/000245_persist_04505_230603_132102.log:332:06-03 13:21:05.601   520   520 I lowmemorykiller: Kill 'android.process.media' (3671), uid 10018, oom_score_adj 955

to free 49860kB rss, 38980kb swap

logcat/000245_persist_04505_230603_132102.log:475:06-03 13:21:06.640   520   520 I lowmemorykiller: Kill 'com.android.shell' (4017), uid 2000, oom_score_adj 955 to

free 44316kB rss, 39408kb swap

logcat/000245_persist_04505_230603_132102.log:586:06-03 13:21:07.680   520   520 I lowmemorykiller: Kill 'com.android.webview:webview_service' (8094), uid 10067,

oom_score_adj 960 to free 62848kB rss, 0kb swap

logcat/000245_persist_04505_230603_132102.log:775:06-03 13:21:08.719   520   520 I lowmemorykiller: Kill 'com.android.traceur' (3429), uid 10026, oom_score_adj 995 to

free 45568kB rss, 39408kb swap

logcat/000245_persist_04505_230603_132102.log:883:06-03 13:21:09.759   520   520 I lowmemorykiller: Kill 'com.android.externalstorage' (4277), uid 10027,

oom_score_adj 985 to free 81076kB rss, 8kb swap

logcat/000245_persist_04505_230603_132102.log:1388:06-03 13:21:10.801   520   520 I lowmemorykiller: Kill 'com.android.gallery3d' (6226), uid 10066, oom_score_adj

975 to free 77776kB rss, 8kb swap

logcat/000245_persist_04505_230603_132102.log:1527:06-03 13:21:11.853   520   520 I lowmemorykiller: Kill 'com.tencent.mobileqq' (3574), uid 10035, oom_score_adj

975 to free 158636kB rss, 43512kb swap

logcat/000245_persist_04505_230603_132102.log:1661:06-03 13:21:12.880   520   520 I lowmemorykiller: Kill 'com.android.settings.intelligence' (7783), uid 10061,

oom_score_adj 965 to free 171396kB rss, 8kb swap

logcat/000245_persist_04505_230603_132102.log:1771:06-03 13:21:13.919   520   520 I lowmemorykiller: Kill 'com.android.webview:webview_service' (8131), uid 10067,

oom_score_adj 960 to free 62980kB rss, 0kb swap

logcat/000245_persist_04505_230603_132102.log:1900:06-03 13:21:14.962   520   520 I lowmemorykiller: Kill 'com.android.documentsui' (5951), uid 10022,

oom_score_adj 950 to free 155236kB rss, 8kb swap

logcat/000245_persist_04505_230603_132102.log:2014:06-03 13:21:16.002   520   520 I lowmemorykiller: Kill 'com.android.permissioncontroller' (3985), uid 10091,

oom_score_adj 945 to free 51396kB rss, 35860kb swap

②在13:25桌面发生了ANR，从trace中看，桌面本身没有异常，但是hht_ota_mgr这个ota的进程，cpu使用率突然拉高，且在13:15~13:45疯狂在打印avc的日

志

6-03 13:25:30.253  1544  9436 E ActivityManager: ANR in com.android.launcher3 (com.android.launcher3/.uioverrides.QuickstepLauncher)

06-03 13:25:30.253  1544  9436 E ActivityManager: CPU usage from 44370ms to 0ms ago (2023-06-03 13:24:45.525 to 2023-06-03 13:25:29.895):

06-03 13:25:30.253  1544  9436 E ActivityManager:   99% 2695/hht_ota_mgr: 40% user + 58% kernel

06-03 13:25:30.253  1544  9436 E ActivityManager:   25% 1544/system_server: 17% user + 8.2% kernel / faults: 508970 minor 13 major

06-03 13:25:30.253  1544  9436 E ActivityManager:   16% 1004/surfaceflinger: 12% user + 4.1% kernel / faults: 98 minor

06-03 13:15:02.119  2695  2695 I auditd  : type=1400 audit(0.0:4470331): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-03 13:15:02.119  2695  2695 W event_loop: type=1400 audit(0.0:4470331): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

.................

06-03 13:45:00.811  2695  2695 I auditd  : type=1400 audit(0.0:481833308): avc: denied { read } for comm="event_loop" lport=13400 scontext=u:r:hht_ota_mgr:s0

tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

06-03 13:45:00.811  2695  2695 W event_loop: type=1400 audit(0.0:481833308): avc: denied { read } for lport=13400 scontext=u:r:hht_ota_mgr:s0
tcontext=u:r:hht_ota_mgr:s0 tclass=udp_socket permissive=0

■ 下一步计划

①问题发生时，系统内存很低，已经触发lowmemorykiller

-系统内存占用过高的情况下，王者荣耀启动响应慢，是正常的，建议用户清理下后台，再使用

②在13:25桌面发生了ANR，从trace中看，桌面本身没有异常，但是hht_ota_mgr这个ota的进程，cpu使用率突然拉高，且在13:15~13:45疯狂在打印avc的日

志

-hht_ota_mgr这个ota的进程，cpu使用率突然拉高，持续打印avc日志半小时，导致系统发生anr，需要客户那边负责OTA的同事检查看看

请帮助同步此信息，谢谢

#3 - 2023-06-05 15:33 - CDTS_TEST 王成

- Assignee changed from CDTS_Test 吴诗雨 to CD BSP 叶鹏 

请排查OTA进程为啥突然拉高的问题

#4 - 2023-06-05 19:55 - CDTS-TEST 周婷

- Assignee changed from CD BSP 叶鹏  to CD TPM-王祥林

建子票让永星处理AVC 问题

#5 - 2023-06-10 18:40 - CD TPM-王祥林

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS_Test 吴诗雨

avc错误已经入库，此票转到jira上跟踪。内部票关闭。

#6 - 2023-06-12 15:04 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306100050版本验证通过

#7 - 2023-07-10 17:36 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

603.13：21副屏严重卡顿王者荣耀白屏，打开应用响应延迟太高，打开设置-黑屏-除下拉通知手势外其余手势无响应245次.mp436.6 MB 2023-06-03 CDTS_Test 吴诗雨
